## python-cogent 1.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/PyCogent.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/PyCogent.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## python-cogent 1.4.1

=== debian/changelog ===
python-cogent (1.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Mark package as auto-buildable

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Oct 2010 20:56:27 +0200

python-cogent (1.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on python2.5-dev with python-all-dev. Closes: #596325.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 15:18:44 +0200

python-cogent (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #587161)

 -- Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>  Sat, 24 Jul 2010 00:53:31 +0200

=== debian/control ===
Source: python-cogent
Section: non-free/python
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>, Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 7), cdbs, python, python-central, python-numpy (>= 1.3.0), python-all-dev
Standards-Version: 3.9.0
Homepage: http://pycogent.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-cogent/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-cogent/trunk/
XS-Python-Version: >= 2.5
XS-Autobuild: yes

Package: python-cogent
Architecture: any
XB-Python-Version:  ${python:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}, ${python:Depends}
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for: controlling third-party
 applications; devising workflows; querying databases; conducting novel
 probabilistic analyses of biological sequence evolution; and generating
 publication quality graphics. It is distinguished by many unique built-in
 capabilities (such as true codon alignment) and the frequent addition
 of entirely new methods for the analysis of genomic data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf build build-stamp

## python-cogent 1.5

=== debian/changelog ===
python-cogent (1.5-3) unstable; urgency=low

  * debian/control:
    - Remove Sri Girish Srinivasa Murthy from Uploaders
    - Standards-Version: 3.9.2 (no changes needed)
    - python-all-dev (>= 2.6) to be able to use dh_python2
  * debhelper 8 (control+compat)
  * debian/rules: dh_python2
    Finally closes: #596540

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2011 09:16:52 +0200

python-cogent (1.5-2) unstable; urgency=low

  * debian/copyright: Clarified license of two single non-free files
    -> package can go to main
  * debian/control:
    - Added myself to uploaders
    - python-central -> python-support
    - Build-Depends: python-sphinx to create doc in HTML format
    - Depends: libjs-jquery to enable using Debian packaged version
      of this JS library
  * debian/rules:
    - Short dh syntax to simplyfy the following tasks
    - Build html doc from rst
    - avoid compressing used files
  * Removed README.Debian because the non-free issue is solved
  * debian/links: Link against Debian's jquery.js

 -- Andreas Tille <tille@debian.org>  Tue, 01 Mar 2011 11:30:18 +0100

python-cogent (1.5-1) unstable; urgency=low

  * Bumped standard to 3.9.1, no changes required.
  * New upstream version.
    - major additions to Cookbook
    - added AlleleFreqs attribute to ensembl Variation objects.
    - added getGeneByStableId method to genome objects.
    - added Introns attribute to Transcript objects and an Intron class.
    - added Mann-Whitney test and a Monte-Carlo version
    - exploratory and confirmatory period estimation techniques (suitable for
      symbolic and continuous data)
    - Information theoretic measures (AIC and BIC) added
    - drawing of trees with collapsed nodes
    - progress display indicator support for terminal and GUI apps
    - added parser for illumina HiSeq2000 and GAiix sequence files as 
      cogent.parse.illumina_sequence.MinimalIlluminaSequenceParser.
    - added parser to FASTQ files, one of the output options for illumina's
      workflow, also added cookbook demo.
    - added functionality for parsing of SFF files without the Roche tools in
      cogent.parse.binary_sff
    - thousand fold performance improvement to nmds
    - >10-fold performance improvements to some Table operations

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Dec 2010 22:30:35 +0100

=== debian/control ===
Source: python-cogent
Section: python
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), python-support, python-numpy (>= 1.3.0),
 python-sphinx
Standards-Version: 3.9.2
Homepage: http://pycogent.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-cogent/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-cogent/trunk/

Package: python-cogent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libjs-jquery
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for: controlling third-party
 applications; devising workflows; querying databases; conducting novel
 probabilistic analyses of biological sequence evolution; and generating
 publication quality graphics. It is distinguished by many unique built-in
 capabilities (such as true codon alignment) and the frequent addition
 of entirely new methods for the analysis of genomic data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@ --with python2

override_dh_clean:
	rm -rf build build-stamp
	rm -rf doc/_build
	dh_clean

override_dh_auto_build:
	cd doc; $(MAKE) html

override_dh_compress:
	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/$(PKG)/usr/share/doc/$(PKG)/html/_sources

## python-cogent 1.5.1

=== debian/changelog ===
python-cogent (1.5.1-2) unstable; urgency=low

  * Explicitly added python-numpy as dependency
    to binary ... where is the dh_shlibdeps?
    Many thanks to Jakub (Closes: #640262).
  * Added build-dependency on cython after look in setup.py
  * Some further formatting in debian/control
  * Added -dbg package
  * Fiddled with debian/*.install to actually install the libraries
    and fill that -dbg package.
  * Added dependency to underscore.js

 -- Steffen Moeller <moeller@debian.org>  Sun, 04 Sep 2011 10:49:49 +0200

python-cogent (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Reformatted debian/control description

 -- Steffen Moeller <moeller@debian.org>  Sun, 21 Aug 2011 21:14:08 +0200

=== debian/control ===
Source: python-cogent
Section: python
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), python-support, python-numpy (>= 1.3.0),
 python-sphinx, cython
Standards-Version: 3.9.2
Homepage: http://pycogent.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-cogent/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-cogent/trunk/

Package: python-cogent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libjs-jquery, libjs-underscore, python-numpy (>= 1.3.0)
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-dbg
Architecture: any
Section: debug
Depends: python-cogent (= ${binary:Version}), ${misc:Depends}
Description: debug information for pycogent
 This package is needed to improve significantly the bug reports
 that users may feel inclined to send.

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 override_dh_installdocs:
 	dh_installdocs
 	rm -rf debian/$(PKG)/usr/share/doc/$(PKG)/html/_sources
+
+override_dh_strip:
+	dh_strip --dbg-package=python-cogent-dbg

## python-cogent 1.5.3

=== debian/changelog ===
python-cogent (1.5.3-2) unstable; urgency=low

  * debian/rules: Add -f option to rm statements to not fail if
    files to be remove do not exist
    Closes: #710339

 -- Andreas Tille <tille@debian.org>  Thu, 30 May 2013 13:02:05 +0200

python-cogent (1.5.3-1) unstable; urgency=low

  * New upstream
  * debian/control: use dh 9
  * debian/control: set standard to 3.9.4 (no changes)
  * debian/rules: add get-orig-source target
  * debian/rules: remove some superfluous files

  [ Tim Booth ]
  * Added back python2 helper and invoked dh_numpy to sort deps
  * Split out docs into separate package
  * Added extra cleanup to dh_clean

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 May 2013 18:00:00 +0200

python-cogent (1.5.1-3) UNRELEASED; urgency=low

  * debian/upstream: Added citations

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2012 15:39:14 +0200

=== debian/control ===
Source: python-cogent
Section: python
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6), python-support, python-numpy (>= 1.3.0),
 python-sphinx, cython
Standards-Version: 3.9.4
Homepage: http://pycogent.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-cogent/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/python-cogent/trunk/

Package: python-cogent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-cogent-doc
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-dbg
Architecture: any
Section: debug
Depends: python-cogent (= ${binary:Version}), ${misc:Depends}
Description: debug information for pycogent
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package is needed to improve significantly the bug reports
 that users may feel inclined to send.

Package: python-cogent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-cogent (= ${binary:Version})
Description: docs for python-cogent
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package contains documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,27 @@
 	dh $@ --with python2
 
 override_dh_clean:
+	#These files are rebuilt on-the-fly
+	for f in `find -name '*.c'` ; do \
+	    head -n 1 "$$f" | grep -q '^/\* Generated by Cython' && rm "$$f" ; \
+	done
 	rm -rf build build-stamp
 	rm -rf doc/_build
 	dh_clean
 
 override_dh_auto_build:
+	dh_auto_build
 	cd doc; $(MAKE) html
+	# remove superfluous files and dirs
+	rm -f doc/_build/doctrees/COGENT_LICENSE.doctree
+	rm -f doc/_build/html/_sources/COGENT_LICENSE.txt
+	rm -f doc/_build/html/_static/jquery.js
+	rm -f doc/_build/html/_static/underscore.js
+	rm -rf doc/_build/html/_images/math/
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy
 
 override_dh_compress:
 	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb
@@ -26,3 +41,8 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=python-cogent-dbg
+
+get-orig-source:
+	mkdir -p ../tarballs
+	uscan --verbose --force-download --destdir=../tarballs
+

=== debian/watch ===
version=3
http://sf.net/pycogent/PyCogent-([.0-9]+)\.tgz

## python-cogent 1.9

=== debian/changelog ===
python-cogent (1.9-11build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:58 +0000

python-cogent (1.9-11) unstable; urgency=medium

  * Exclude test_format.test_pdb_color.PdbColorTests for s390x
    Closes: #864894

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jun 2017 23:50:35 +0200

python-cogent (1.9-10) unstable; urgency=medium

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite (without tests known to fail)
  
  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Fix test checking path to ls

 -- Naidya Sitdykova <rovenskasa@gmail.com>  Thu, 15 Jun 2017 23:26:56 -0400

python-cogent (1.9-9) unstable; urgency=medium

  * Skip test with incompatibilities to Numpy 1.12.0~b1
    Closes: #848746

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2016 09:39:12 +0100

python-cogent (1.9-8) unstable; urgency=medium

  * Skip another test to enable build on mips

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 08:26:08 +0100

python-cogent (1.9-7) unstable; urgency=medium

  * Skip more tests to enable build on mips & mips64el
  * Skip tests that are not working any more since ncbi-tools6 >=6.1.20160908-1
    Closes: #847082

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 11:32:17 +0100

python-cogent (1.9-6) unstable; urgency=medium

  * Skip some tests that do not create reproducible results at package
    build time
    Closes: #846078

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 07:46:45 +0100

python-cogent (1.9-5) unstable; urgency=medium

  * Update d/README.Debian with todo list
  * debhelper 10
  * d/watch: version=4
  * add verbosity to unit tests to enable tracking down #846078

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2016 09:03:40 +0100

python-cogent (1.9-4) unstable; urgency=medium

  * Need to exclude further tests on armhf and mips

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2016 10:45:44 +0200

python-cogent (1.9-3) unstable; urgency=medium

  * (Build-)Depends python-matplotlib
  * Some more tests for certain architectures excluded

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2016 08:07:35 +0200

python-cogent (1.9-2) unstable; urgency=medium

  * Properly test fasttree
  * Exclude some tests on some architectures
  * Try to support rdp_classifier (but failed - no idea why)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2016 21:49:34 +0200

python-cogent (1.9-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Fix homepage
  * cme fix dpkg-control
  * Build-Depends: python-setuptools
  * revert cd-hit name change in Debian
    Closes: #835213
  * hardening=+bindnow
  * Build-Depends: cdbfasta

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2016 17:06:59 +0200

python-cogent (1.5.3-10) unstable; urgency=medium

  * mothur does not exist on s390x
  * exclude test failed on i386 also on kfreebsd-i386

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 17:43:34 +0100

python-cogent (1.5.3-9) unstable; urgency=medium

  * Different autobuilder seems to fail on different tests - exclude another
    two tests on i386

 -- Andreas Tille <tille@debian.org>  Sat, 26 Dec 2015 07:41:10 +0100

python-cogent (1.5.3-8) unstable; urgency=medium

  * Ignore some more test issues only on ppc64

 -- Andreas Tille <tille@debian.org>  Fri, 25 Dec 2015 13:04:33 +0100

python-cogent (1.5.3-7) unstable; urgency=medium

  * Ignore a few test failures on certain architectures to at least
    document the problem debian/README.source was created

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2015 07:27:11 +0100

python-cogent (1.5.3-6) unstable; urgency=medium

  * Also deal with raxml that only exists on [any-amd64 any-i386]

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 20:56:16 +0100

python-cogent (1.5.3-5) unstable; urgency=medium

  * Also deal with infernal that only exists on [any-amd64 any-i386]

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 18:16:12 +0100

python-cogent (1.5.3-4) unstable; urgency=medium

  * Build-Depends: bwa [any-amd64] and exclude bwa tests for other
    architectures
    Closes: #808799
  * Really activate tests but only those that are known to pass.  All
    failed tests excluded for the moment - more detailed investigation
    is needed
  * Drop debug package in favour of automatically generated one
  * Add hint about tests to README.Debian.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 15:23:04 +0100

python-cogent (1.5.3-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Priority: optional (except for *-dbg)
  * DEP5
  * debian/watch: Adapted to Github
  * DEP3
  * README.source removed since redundant
  * cme fix dpkg-control
  * Adapt to the naming scheme of cd-hit inside Debian
    Closes: #730515
  * Switch from python-support to pybuild
    Closes: #786073

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2015 09:29:22 +0200

python-cogent (1.5.3-2biolinux1) trusty; urgency=low

  * Allow use of newer cd-hit that doesn't leave a tmp file
    Note - the tests still fail as output is different, but
    this is a quick fix.
  * Also make the script compatible with our parsinsert package
  * Add suggests dep on both of these
  * Rebuild for Trusty

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 25 Apr 2014 17:27:42 +0100

=== debian/control ===
Source: python-cogent
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all-dev,
               python-matplotlib,
               python-numpy,
               python-setuptools,
               python-sphinx,
               cython,
               blast2,
               bwa [any-amd64],
               cd-hit,
               cdbfasta,
               clearcut,
               clustalw,
               dialign,
               fasttree,
               infernal [any-amd64 any-i386],
               mafft,
               mothur [!s390x],
               muscle,
               parsinsert,
               raxml [any-amd64 any-i386],
               rdp-classifier,
               rtax
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-cogent.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-cogent.git
Homepage: http://pycogent.org/

Package: python-cogent
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-matplotlib
Recommends: blast2,
            bwa [any-amd64],
            cd-hit,
            clearcut,
            dialign,
            muscle
Suggests: python-cogent-doc,
          cdbfasta,
          clustalw,
          fasttree,
          infernal [any-amd64 any-i386],
          mafft,
          mothur [!s390x],
          parsinsert,
          raxml [any-amd64 any-i386],
          rdp-classifier,
          rtax
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python-cogent (= ${binary:Version})
Description: docs for python-cogent
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package contains documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,47 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+FAILED_TESTS := test_infernal \
+                test_mothur \
+                test_parsinsert \
+                test_raxml_v730 \
+                test_rtax \
+                test_clustalw \
+                test_mafft \
+                test_unifrac \
+                test_seqsim.test_analysis \
+                test_seqsim.test_usage
+
+ONLYAMD64_TESTS := test_bwa
+
+# There are tests failing on certain architectures
+# We need to decide between not shipping cogent there or hiding
+# our eyes from these failures.  See README.source for further
+# explanation.
+FAIL_ON_ARMEL_TESTS := test_core.test_profile
+                       
+
+FAIL_ON_PPC64_MIPS64EL := test_core.test_tree
+
+FAIL_ON_I386_TESTS := test_maths.test_stats.test_test \
+                      test_seqsim.test_sequence_generators
+
+FAIL_ON_PPC64_TESTS := test_app.test_util
+
+FAIL_ON_S390X_TESTS := test_maths.test_optimisers \
+                       test_format.test_pdb_color.PdbColorTests
+
+FAIL_ON_MIPS_TESTS := test_seqsim.test_sequence_generators
+
+export PYBUILD_NAME=cogent
 PKG := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --buildsystem=pybuild
 
 override_dh_clean:
 	#These files are rebuilt on-the-fly
@@ -39,8 +76,38 @@
 	dh_installdocs
 	rm -rf debian/$(PKG)/usr/share/doc/$(PKG)/html/_sources
 
-override_dh_strip:
-	dh_strip --dbg-package=python-cogent-dbg
+override_dh_auto_test:
+	cp -a tests/alltests.py tests/alltests.py~
+	# exclude tests known to fail
+	for tst in $(FAILED_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+# avoid amd64 only tools on other architectures
+ifeq ($(BUILDARCH),amd64)
+	echo "bwa can be tested on amd64 arch"
+else
+	for tst in $(ONLYAMD64_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+ifeq ($(BUILDARCH),$(filter $(BUILDARCH), mips64el ppc64el ppc64))
+	for tst in $(FAIL_ON_PPC64_MIPS64EL) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+ifeq ($(BUILDARCH),armel)
+	for tst in $(FAIL_ON_ARMEL_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+ifeq ($(BUILDARCH),ppc64)
+	for tst in $(FAIL_ON_PPC64_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+ifeq ($(BUILDARCH),s390x)
+	for tst in $(FAIL_ON_S390X_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+ifeq ($(BUILDARCH),mips)
+	for tst in $(FAIL_ON_MIPS_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+ifeq ($(BUILDARCH),$(filter $(BUILDARCH), i386 kfreebsd-i386))
+	for tst in $(FAIL_ON_I386_TESTS) ; do sed -i "/$${tst}/d" tests/alltests.py ; done
+endif
+endif
+	BLASTMAT=/usr/share/ncbi/data/ RDP_JAR_PATH=/usr/share/java/rdp_classifier.jar $(CURDIR)/run_tests -v # --debug
+	# restore original tests file
+	mv tests/alltests.py~ tests/alltests.py
+	find tests -name "*.pyc" -delete
 
 get-orig-source:
 	mkdir -p ../tarballs

=== debian/watch ===
version=4
https://github.com/pycogent/pycogent/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-cogent 2020.2.7a+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -12,6 +12,11 @@
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+
+# define plotly rendern environment settings
+html: export PLOTLY_RENDERER="notebook_connected+plotly_mimetype"
+livehtml: export PLOTLY_RENDERER="notebook_connected+plotly_mimetype"
+latex: export PLOTLY_RENDERER="pdf"
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -86,3 +91,8 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in _build/doctest/output.txt."
+
+
+.PHONY: livehtml
+livehtml:
+	sphinx-autobuild -p 5500  -b html $(ALLSPHINXOPTS) _build/html

=== debian/changelog ===
python-cogent (2020.2.7a+dfsg-2) unstable; urgency=medium

  * More tolerant tests on i386 and armel (patches provided by upstream)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Feb 2020 16:51:08 +0100

python-cogent (2020.2.7a+dfsg-1) unstable; urgency=medium

  * Solve one issue in test suite i386 / armel (other issue seems to be
    caused by numpy)
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Wrap long lines in changelog entries: 1.4.1-1.1.

 -- Andreas Tille <tille@debian.org>  Mon, 17 Feb 2020 20:00:55 +0100

python-cogent (2019.12.6a+dfsg-1) unstable; urgency=medium

  * New upstream version supporting Python3
    Closes: #937654, #935298
  * Point watch file to cogent3
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * (Build-)Depends: s/blast2/ncbi-blast+-legacy/
    Closes: #948080
  * Remove trailing whitespace in debian/changelog
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 1.5.3-1.
  * Remove minimized JS from former sphinx run
  * Binary package is now python3-cogent3 which
    Breaks/Provides/Replaces: python-cogent
  * (Build-)Depends: python3-scitrack, python3-tinydb

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 09:02:56 +0100

python-cogent (1.9-14) unstable; urgency=medium

  * Enable building with sphinx1.8
    Closes: #918829
  * Drop Thorsten Alteholz <debian@alteholz.de> since no commits since
    more than five years - thanks for your previous work Thorsten
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 15:21:15 +0100

python-cogent (1.9-13) unstable; urgency=medium

  * Ignore test with matplotlib 2.2.3 where a warning message is different
    than expected
    Closes: #915908
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/rules
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 09:26:27 +0100

python-cogent (1.9-12) unstable; urgency=medium

  * Add registry data
  * Testsuite: autopkgtest-pkg-python
  * honor "nocheck" in DEB_BUILD_OPTIONS
    Closes: #898334
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Fix suite fails with latest matplotlib
    Closes: #899205
  * Fix privacy issue in doc
  * Drop obsolete file debian/pyversions
  * Drop unneeded get-orig-source target
  * Do not parse d/changelog
  * Rename debian/tests/control to debian/tests/control.autodep8
  * Remove useless doctree files

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 11:10:01 +0200

=== debian/control ===
Source: python-cogent
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-matplotlib,
               python3-numpy,
               python3-pandas,
               python3-scitrack,
               python3-tqdm,
               python3-tinydb,
               python3-setuptools,
               python3-sphinx,
               python3-numpydoc,
               python3-nbsphinx,
               python3-sphinxcontrib.bibtex,
               cython3,
               pandoc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
Homepage: https://github.com/cogent3/cogent3

Package: python3-cogent3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-matplotlib,
         python3-pandas,
         python3-plotly,
         python3-scitrack,
         python3-tqdm,
         python3-tinydb
Recommends: ncbi-blast+-legacy,
            dialign
Suggests: python-cogent-doc
Breaks: python-cogent
Provides: python-cogent
Replaces: python-cogent
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-cogent3 (= ${binary:Version})
Description: docs for python3-cogent3
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/data {build_dir}

export PYBUILD_NAME=cogent3

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	#These files are rebuilt on-the-fly
	for f in `find -name '*.c'` ; do \
	    head -n 1 "$$f" | grep -q '^/\* Generated by Cython' && rm "$$f" ; \
	done
	rm -rf build build-stamp
	rm -rf doc/_build
	dh_clean

override_dh_auto_build:
	dh_auto_build
	set -x; cd doc; PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' $(MAKE) html
	# remove superfluous files and dirs
	find doc/_build -name "*.doctree*" -delete
	rm -f doc/_build/html/_sources/COGENT_LICENSE.txt
	rm -f doc/_build/html/_static/jquery.js
	rm -f doc/_build/html/_static/underscore.js
	rm -rf doc/_build/html/_images/math/

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

override_dh_compress:
	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/html/_sources
	find debian -name doctrees -type d | xargs rm -rf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-cogent 2020.12.21a%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-matplotlib,
+               python3-numba,
                python3-numpy,
                python3-pandas,
                python3-scitrack,
@@ -18,13 +19,17 @@
                python3-sphinx,
                python3-numpydoc,
                python3-nbsphinx,
+               python3-sphinx-bootstrap-theme,
+               python3-sphinx-gallery,
                python3-sphinxcontrib.bibtex,
+               python3-pytest <!nocheck>,
                cython3,
                pandoc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
 Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
 Homepage: https://github.com/cogent3/cogent3
+Rules-Requires-Root: no
 
 Package: python3-cogent3
 Architecture: any

## python-cogent 2020.12.21a+dfsg

=== requirements.txt ===
pillow==8.0.1
psutil==5.7.3
scipy==1.5.4
tox==3.20.1
tox-gh-actions==2.2.0
.[dev]

=== debian/changelog ===
python-cogent (2020.12.21a+dfsg-4+deb11u1) bullseye; urgency=medium

  * Team upload.
  * Skip parallel tests on single-CPU systems. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Wed, 13 Dec 2023 12:30:00 +0100

python-cogent (2020.12.21a+dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/rules: Don't build docs package on armel/mipsel
    Closes: #950474
  * Skip tests on s390x, mips64el, mipsel, and armel

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Feb 2021 14:42:13 +0100

python-cogent (2020.12.21a+dfsg-3) unstable; urgency=high

  * Team upload.
  * debian/rules: skip tests that fail only on buildds

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 11:14:34 +0100

python-cogent (2020.12.21a+dfsg-2) unstable; urgency=high

  * Team upload.
  * debian/rules set LC_ALL=C.UTF-8 to try to fix buildd FTBFS

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 10:18:22 +0100

python-cogent (2020.12.21a+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Do not call specific Python3 version in autopkgtest
  * Do not disable Python3.9

  [ Michael R. Crusoe ]
  * debian/control: build without python3-jupyter-sphinx
  * build-dep on python3-pytest to fix the tests
  * Add patch to give Python 3.9 compatibility

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Feb 2021 21:40:21 +0100

python-cogent (2020.6.30a0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * New upstream version 2020.6.30a0+dfsg

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Michael R. Crusoe ]
  * Only build for Python3.8 as numba does not yet support Python 3.9.
    See https://bugs.debian.org/972246
  * Standards-Version: 4.5.1 (routine-update)
  * Mark Debian-specific patches as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Nov 2020 10:39:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
+export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/data {build_dir}
-
+export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=-k 'not test_pickleable_member_roundtrip and not test_pickleable_roundtrip'
 export PYBUILD_NAME=cogent3
+ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel s390x mips64el))
+export PYBUILD_DISABLE=test
+endif
 
 include /usr/share/dpkg/default.mk
 
@@ -26,6 +30,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(filter $(DEB_HOST_ARCH), armel mipsel))
 	set -x; cd doc; PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' $(MAKE) html
 	# remove superfluous files and dirs
 	find doc/_build -name "*.doctree*" -delete
@@ -33,6 +38,7 @@
 	rm -f doc/_build/html/_static/jquery.js
 	rm -f doc/_build/html/_static/underscore.js
 	rm -rf doc/_build/html/_images/math/
+endif
 
 override_dh_shlibdeps:
 	dh_shlibdeps

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/cogent3/cogent3/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

# Project moved to Github
# https://bitbucket.org/pycogent3/cogent3/downloads/?tab=tags .*/cogent3/get/@ANY_VERSION@\.tar\.gz

# This is the old Python2 version
# https://github.com/pycogent/pycogent/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-cogent 2021.10.12a1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               flit,
                python3-all-dev,
                python3-matplotlib,
                python3-numba,
@@ -15,17 +16,15 @@
                python3-scitrack,
                python3-tqdm,
                python3-tinydb,
-               python3-setuptools,
                python3-sphinx,
                python3-numpydoc,
                python3-nbsphinx,
                python3-sphinx-bootstrap-theme,
                python3-sphinx-gallery,
-               python3-sphinxcontrib.bibtex,
                python3-pytest <!nocheck>,
                cython3,
                pandoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
 Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
 Homepage: https://github.com/cogent3/cogent3
@@ -36,6 +35,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
+         python3-numba,
          python3-matplotlib,
          python3-pandas,
          python3-plotly,
@@ -67,6 +67,7 @@
          libjs-jquery,
          libjs-underscore
 Suggests: python3-cogent3 (= ${binary:Version})
+Multi-Arch: foreign
 Description: docs for python3-cogent3
  PyCogent is a software library for genomic biology.
  .

## python-cogent 2021.10.12a1+dfsg

=== requirements.txt ===
chardet==4.0.0
pillow>=8.3.2
psutil==5.8.0
scipy==1.5.4; python_version < '3.7'
scipy==1.6.1; python_version > '3.6'
tox==3.23.1
tox-gh-actions==2.5.0
.[dev]

=== doc/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
+
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -14,9 +15,9 @@
 .PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
 
 # define plotly rendern environment settings
-html: export PLOTLY_RENDERER="notebook_connected+plotly_mimetype"
-livehtml: export PLOTLY_RENDERER="notebook_connected+plotly_mimetype"
-latex: export PLOTLY_RENDERER="pdf"
+
+livehtml: export PLOTLY_RENDERER=notebook_connected+plotly_mimetype
+latex: export PLOTLY_RENDERER=pdf
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -33,11 +34,17 @@
 
 clean:
 	-rm -rf _build/*
+	-rm -rf draw/
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
+	-rm -rf draw/
+
+github:
+	@make html
+	@cp -a _build/html/. ../docs
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

=== debian/changelog ===
python-cogent (2021.10.12a1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream switched to filt build system

 -- Andreas Tille <tille@debian.org>  Thu, 04 Nov 2021 09:29:04 +0100

python-cogent (2021.5.7a+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Deactivate sphinx bibtex which is not used
    Closes: #997772

  [ Nilesh Patra ]
  * Add patch to fix FTBFS with new setuptools

 -- Andreas Tille <tille@debian.org>  Wed, 03 Nov 2021 11:28:50 +0100

python-cogent (2021.5.7a+dfsg-2) unstable; urgency=medium

  * Add missing Depends: python3-numba
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 08:12:26 +0200

python-cogent (2021.5.7a+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python-cogent-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 16:35:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 endif
 
 include /usr/share/dpkg/default.mk
+
+export PYBUILD_SYSTEM=flit
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-cogent 2022.5.25a1+dfsg

=== requirements.txt ===
chardet==4.0.0
pillow==9.0.1
psutil==5.9.0
scipy==1.7.3
nox==2022.1.7
plotly==5.5.0
.[dev]

=== debian/changelog ===
python-cogent (2022.5.25a1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Build-Depends: python3-plotly <!nocheck>

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 16:30:18 +0200

python-cogent (2021.10.12a1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Remove refs to jupyter-sphinx

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 20:08:12 +0530

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,10 @@
                python3-sphinx-bootstrap-theme,
                python3-sphinx-gallery,
                python3-pytest <!nocheck>,
+               python3-plotly <!nocheck>,
                cython3,
                pandoc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
 Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
 Homepage: https://github.com/cogent3/cogent3

## python-cogent 2022.8.24a1+dfsg

=== debian/changelog ===
python-cogent (2022.8.24a1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Ignore some tests that try to access network
  * Drop outdated debian/README.source and README.Debian

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 11:00:51 +0200

## python-cogent 2022.10.31a1+dfsg

=== requirements.txt ===
chardet==5.0.0
pillow==9.2.0
psutil==5.9.3
scipy==1.9.3
nox==2022.8.7
plotly==5.10.0
typing_extensions>=3.7
.[dev]

=== debian/changelog ===
python-cogent (2022.10.31a1+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Drop jupyter-sphinx from build depends

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Feb 2023 22:58:26 +0530

python-cogent (2022.10.31a1+dfsg-2) unstable; urgency=medium

  * Skip build time tests also for armhf

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2023 07:55:13 +0100

python-cogent (2022.10.31a1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #1030884
  * Build-Depends: python3-typing-extensions

  [ Étienne Mollier ]
  * d/{control,rules}: migrate from flit to generic pyproject.

  [ Santiago Vila ]
  * Skip tests that are failing on single-cpu systems
    Closes: 1030885

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 15:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                flit,
+               cython3,
+               pandoc,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-matplotlib,
                python3-numba,
@@ -22,9 +25,15 @@
                python3-sphinx-bootstrap-theme,
                python3-sphinx-gallery,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-plotly <!nocheck>,
-               cython3,
-               pandoc
+               python3-typing-extensions <!nocheck>,
+               python3-isort,
+               python3-scipy,
+               python3-chardet,
+               python3-jupyterlab-server,
+               python3-jupyter-sphinx-theme
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
 Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
